Bug 461450 - kernel: security: filesystem capabilities: fix fragile setuid fixup code [rhel-4.7.z]
kernel: security: filesystem capabilities: fix fragile setuid fixup code [rhe...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7.z
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
:
Depends On: 461444
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 23:26 EDT by Eugene Teo (Security Response)
Modified: 2009-06-15 07:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 20:46:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-09-07 23:26:32 EDT
+++ This bug was initially created as a clone of Bug #461444 +++

Description of problem:
This commit includes a bugfix for the fragile setuid fixup code in the case that filesystem capabilities are supported (in access()). The effect of this fix is gated on filesystem capability support because changing securebits is only supported when filesystem capabilities support is configured.)

--- Additional comment from eteo@redhat.com on 2008-09-07 22:56:40 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=086f7316f0d400806d76323beefae996bb3849b1

--- Additional comment from eteo@redhat.com on 2008-09-07 22:57:33 EDT ---

Created an attachment (id=315983)
Upstream patch for this issue
Comment 1 Eugene Teo (Security Response) 2008-10-14 20:46:25 EDT
closing bug. See 461444 comment #4

Note You need to log in before you can comment on or make changes to this bug.